Subject: bug#66416: 29.1; Crashes when visiting HELLO file with pgtk on Wayland

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Oct 2023 16:12:10 +0300

> From: Yuchen Guo <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 11 Oct 2023 12:45:58 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Try font-info instead, and look at the last, 13th, element of the
> > vector it returns.  The doc string of font-info describes what it can
> > tell you.
> 
> I obtained the following output for the Simplified Chinese Serif font:
> 
> (opentype
>  ((DFLT (nil aalt calt ccmp dlig fwid hist hwid liga pwid ruby vert
>              vrt2))
>   (cyrl (nil aalt calt ccmp dlig fwid hist hwid liga locl pwid ruby
>              vert vrt2)
>         (JAN\  aalt calt ccmp dlig fwid hist hwid liga locl pwid ruby
>                vert vrt2)
>         (KOR\  aalt calt ccmp dlig fwid hist hwid liga locl pwid
>                ruby vert vrt2)
>         (ZHH\  aalt calt ccmp dlig fwid hist hwid liga locl pwid
>                ruby vert vrt2)
>         (ZHS\  aalt calt ccmp dlig fwid hist hwid liga locl pwid
>                ruby vert vrt2)
>         (ZHT\  aalt calt ccmp dlig fwid hist hwid liga locl pwid
>                ruby vert vrt2))...)
> 
> ...500+ lines omitted...
> 
> It seems to me that the font declares support for all CJK scripts.

And you are saying that this font is not appropriate for your
language-environment, contrary to what the font declares?  If so, you
could try telling Emacs to ignore than font, using face-ignored-fonts.

> Back to the original bug report:
> 
> Emacs has not crashed since the rebuild from latest commit in emacs-29
> branch.  Previously Emacs server was crashing every few hours.
> 
> If there is no more crashes in the coming week, then I think this issue
> can be closed.

Thanks, so please come back and report in a week or so, or when it
does crash, whichever happens earlier.